> ## Documentation Index
> Fetch the complete documentation index at: https://mixpanel-edb78807-tofufu-patch-1.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Pipeline

> This request edit the params for an export pipeline.




## OpenAPI

````yaml openapi/data-pipelines.openapi.yaml POST /nessie/pipeline/edit
openapi: 3.0.2
info:
  title: Data Pipelines API
  description: Create and manage a continious pipeline with an external warehouse.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
  contact:
    url: https://mixpanel.com/get-support
servers:
  - url: https://{server}.mixpanel.com/api/2.0
    description: Mixpanel's data export server.
    variables:
      server:
        default: data
        enum:
          - data
          - data-eu
          - data-in
        description: |
          The server location to be used:
            * `data` - The default (US) servers used for most projects
            * `data-eu` - EU servers if you are enrolled in EU Data Residency
            * `data-in` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
  - ProjectSecret: []
tags:
  - name: Create Pipelines
    description: Operations to add schemas to a project
  - name: Delete Pipelines
    description: Remove a pipeline from a project
  - name: Edit Pipelines
    description: Edit the params for a pipeline from a project
  - name: Pause Pipelines
    description: Pause a running pipeline
  - name: Resume Pipelines
    description: Resume a paused pipeline
  - name: Retrieve Pipelines
    description: Get information about Pipelines
paths:
  /nessie/pipeline/edit:
    post:
      tags:
        - Edit Pipelines
      summary: Edit Pipeline
      description: |
        This request edit the params for an export pipeline.
      operationId: edit-warehouse-pipeline
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              oneOf:
                - $ref: '#/components/schemas/RawEditParams'
                  title: Raw GCS Pipeline
                - $ref: '#/components/schemas/RawEditParams'
                  title: Raw Amazon S3 Pipeline
                - $ref: '#/components/schemas/RawAzureEditParams'
                  title: Raw Azure Pipeline
                - $ref: '#/components/schemas/BigQueryEditParams'
                  title: Schematized BigQuery Pipeline
                - $ref: '#/components/schemas/SchematizedEditParams'
                  title: Schematized Snowflake Pipeline
                - $ref: '#/components/schemas/SchematizedAWSEditParams'
                  title: Schematized AWS Pipeline
                - $ref: '#/components/schemas/SchematizedAzureEditParams'
                  title: Schematized Azure Pipeline
                - $ref: '#/components/schemas/SchematizedEditParams'
                  title: Schematized GCS Pipeline
      responses:
        '200':
          description: Success
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    RawEditParams:
      type: object
      properties:
        name:
          type: string
          description: The name that uniquely identifies the pipeline.
        project_id:
          $ref: '#/components/schemas/ProjectId'
        events:
          type: string
          description: >
            A whitelist for the event(s) you intend to export. For multiple
            events, you will need to pass in each event name as separate
            `events` parameters like so: `--data 'events=event1' \ --data
            'events=event2'`



            Please note that after this update, the sync of older dates to your
            data warehouse

            (if enabled) will only contain the new set of whitelisted events.
        where:
          type: string
          description: >-
            A selector expression used to filter by events data, such as event
            properties.


            Please note that after this update, the sync of older dates to your
            data warehouse (if enabled) will only contain events matching your
            new where clause.
      required:
        - name
    RawAzureEditParams:
      allOf:
        - $ref: '#/components/schemas/RawEditParams'
        - $ref: '#/components/schemas/AzureCommonEditParams'
    BigQueryEditParams:
      allOf:
        - $ref: '#/components/schemas/SchematizedEditParams'
        - type: object
          properties:
            bq_share_with_group:
              type: array
              description: >
                Group account email addresses to share the data-set with if
                managed by mixpanel. e.g. bq-access-alias@somecompany.com.


                Please note that this will only add new shares and won't remove
                the old ones.
              items:
                type: string
    SchematizedEditParams:
      allOf:
        - $ref: '#/components/schemas/RawEditParams'
    SchematizedAWSEditParams:
      allOf:
        - $ref: '#/components/schemas/SchematizedEditParams'
        - type: object
          properties:
            glue_database:
              type: string
              description: |
                The glue database to which the schema needs to be exported.
            glue_role:
              type: string
              description: >
                There is no default value. The role that needs to be assumed for
                updating glue  e.g.
                arn:aws:iam::<account-id>:role/example-glue-role
            glue_table_prefix:
              type: string
              description: |
                Prefix to add to table names when creating them.
    SchematizedAzureEditParams:
      allOf:
        - $ref: '#/components/schemas/SchematizedEditParams'
        - $ref: '#/components/schemas/AzureCommonEditParams'
    ProjectId:
      type: number
      description: >-
        Your project id (must be specified when using service account based
        authentication)
    AzureCommonEditParams:
      type: object
      properties:
        azure_client_id:
          type: string
          description: |
            `clientId` from the Service Principal credentials.
        azure_client_secret:
          type: string
          description: |
            `clientSecret` from the Service Principal credentials.
        azure_tenant_id:
          type: string
          description: >
            `tenantId` from the Service Principal credentials. This is specific
            to the Active Directory instance where the Service Principal
            resides.
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        status:
          type: string
          enum:
            - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account
    ProjectSecret:
      type: http
      scheme: basic
      description: Project Secret

````